Skip to content

Get a transfer receipt

Request

Download transfer confirmation receipt in PDF format for transfers that are in status outgoing_payment_sent. There's also the transfer state change webhook.

If you service US retail consumers you must use the US combined receipt endpoint instead.

Security
UserToken or PersonalToken
Path
transferIdinteger, (int64)required

The transfer ID

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  'https://api.wise.com/2026Q3/transfers/{transferId}/receipt.pdf' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

Transfer confirmation receipt in Wise branded PDF format.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/pdf
string, (binary)
Response
string